stages:
  - deploy


PyPI:
  only:
    refs:
      - tags

  allow_failure: false

  image: python:3
  stage: deploy
  script:
    - pip install -U twine setuptools
    - python setup.py sdist
    - twine upload --username $PYPI_USERNAME --password $PYPI_PASSWORD dist/*
